Loading...
Searching...
No Matches
Opm::PAvgCalculator< Scalar >::Sources Class Reference

References to source contributions owned by other party. More...

`#include <PAvgCalculator.hpp>`

## Public Member Functions

Sources & | wellBlocks (const PAvgDynamicSourceData< Scalar > &wbSrc)
| Provide reference to cell-level contributions (pressure, pore-volume, mixture density) owned by other party.
Sources & | wellConns (const PAvgDynamicSourceData< Scalar > &wcSrc)
| Provide reference to connection-level contributions (pressure, pore-volume, mixture density) owned by other party.
const PAvgDynamicSourceData< Scalar > & | wellBlocks () const
| Get read-only access to cell-level contributions.
const PAvgDynamicSourceData< Scalar > & | wellConns () const
| Get read-only access to connection-level contributions.

## Detailed Description

template<class Scalar>
class Opm::PAvgCalculator< Scalar >::Sources

References to source contributions owned by other party.

## Member Function Documentation

## wellBlocks()

template<class Scalar>

Sources & Opm::PAvgCalculator< Scalar >::Sources::wellBlocks | ( | const PAvgDynamicSourceData< Scalar > & | wbSrc | ) |

inline

Provide reference to cell-level contributions (pressure, pore-volume, mixture density) owned by other party.

Parameters

  [in] | wbSrc | Cell-level contributions

Returns
  .

## wellConns()

template<class Scalar>

Sources & Opm::PAvgCalculator< Scalar >::Sources::wellConns | ( | const PAvgDynamicSourceData< Scalar > & | wcSrc | ) |

inline

Provide reference to connection-level contributions (pressure, pore-volume, mixture density) owned by other party.

Parameters

  [in] | wcSrc | Connection-level contributions

Returns
  .

The documentation for this class was generated from the following file:

- opm/input/eclipse/Schedule/Well/PAvgCalculator.hpp